%define upstream_name    File-Sync
%define upstream_version 0.09

Name:      perl-%{upstream_name}
Version:   %perl_convert_version %{upstream_version}
Release:   12

Summary:   Perl access to fsync() and sync() function calls
License:   Artistic
Group:     Development/Perl
Url:       http://search.cpan.org/dist/%{upstream_name}
Source0:   http://search.cpan.org//CPAN/authors/id/C/CE/CEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel


%description
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync().  It returns I<undef> on
failure, or I<true> on success.

The fsync_fd() function is used internally by fsync(); it takes a file
descriptor as its only argument.

The sync() function is identical to the C function sync().

This module does B<not> export any methods by default, but fsync() is
made available as a method of the I<FileHandle> and I<IO::Handle>
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%__make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/File
%{_mandir}/man3/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.90.0-12
+ Revision: ede08bb
- MassBuild#440: Increase release tag


